Name:             rmic-maven-plugin
Version:          1.2.1
Release:          %mkrel 3
Summary:          Uses the java rmic compiler to generate classes used in remote method invocation
License:          MIT
Group:            Development/Java
URL:              http://mojo.codehaus.org/%{name}

Source0:          http://repo2.maven.org/maven2/org/codehaus/mojo/%{name}/%{version}/%{name}-%{version}-source-release.zip
Patch0:           pom-compiler-source-target.patch

BuildArch:        noarch

BuildRequires:    java-devel >= 1:1.6.0
BuildRequires:    maven-local
BuildRequires:    maven-plugin-cobertura
BuildRequires:    maven-invoker-plugin
BuildRequires:    maven-surefire-provider-junit4
BuildRequires:    maven-checkstyle-plugin
BuildRequires:    mvn(org.apache.maven.plugins:maven-plugin-plugin)

%description
This plugin works with Maven 2 and uses the java rmic compiler to generate
classes used in remote method invocation.

%package javadoc
Summary:          Javadoc for %{name}
Group:            Documentation

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q
sed -i -e "s|groupId>plexus|groupId>org.codehaus.plexus|g" pom.xml

%patch0 -p0

%mvn_file :rmic-maven-plugin rmic-maven-plugin

%build
# Unit tests pass, but for some reason the integrations fail in mock
%mvn_build -- -Dmaven.test.failure.ignore=true

%install
%mvn_install

%files -f .mfiles
%doc License.txt

%files javadoc -f .mfiles-javadoc
%doc License.txt




%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.2.1-3.mga4
+ Revision: 541735
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 dmorgan <dmorgan> 1.2.1-2.mga4
+ Revision: 487402
- Build with xmvn

* Thu Jul 11 2013 dmorgan <dmorgan> 1.2.1-1.mga4
+ Revision: 452981
- New version

* Tue Jul 09 2013 dmorgan <dmorgan> 1.2.0-2.mga4
+ Revision: 451613
- Removed BR 'plexus-container-default' (#878579)
- R/BR cleanup
- Removed all 'jpackage-utils' dependencies

* Mon Jan 14 2013 umeabot <umeabot> 1.2.0-2.mga3
+ Revision: 380367
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 12 2012 dmorgan <dmorgan> 1.2.0-1.mga3
+ Revision: 292938
- New version

* Fri Oct 21 2011 gil <gil> 1.1-1.mga2
+ Revision: 157077
- imported package rmic-maven-plugin


* Sun Jul 10 2011 gil <gil> 1.1-0.%%mkrel
- initial rpm

